Kubernetes clusters
Get kubernetes cluster node load drivers
Returns the top containers on a node ranked by recent CPU or memory usage, with a usage trend, for the tenant selected by the X-CostGraph-Tenant-ID header
GET
/
api
/
v1
/
tenant
/
clusters
/
{cluster_id}
/
nodes
/
{node_id}
/
load-drivers
Get kubernetes cluster node load drivers
curl --request GET \
--url https://api.costgraph.ai/api/v1/tenant/clusters/{cluster_id}/nodes/{node_id}/load-drivers \
--header 'Authorization: <api-key>' \
--header 'X-CostGraph-Tenant-ID: <x-costgraph-tenant-id>'import requests
url = "https://api.costgraph.ai/api/v1/tenant/clusters/{cluster_id}/nodes/{node_id}/load-drivers"
headers = {
"X-CostGraph-Tenant-ID": "<x-costgraph-tenant-id>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-CostGraph-Tenant-ID': '<x-costgraph-tenant-id>', Authorization: '<api-key>'}
};
fetch('https://api.costgraph.ai/api/v1/tenant/clusters/{cluster_id}/nodes/{node_id}/load-drivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "some message",
"status": "success",
"data": {
"end": "<string>",
"items": [
{
"cpu_cores": 123,
"cpu_host_percent": 123,
"groupname": "<string>",
"memory_bytes": 123,
"memory_host_percent": 123,
"namespace": "<string>",
"trend_percent": 123
}
],
"start": "<string>",
"trend_window_seconds": 123,
"window_seconds": 123
}
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}Authorizations
Enter "Bearer {token}"
Headers
Tenant ID
Path Parameters
Kubernetes cluster ID
Kubernetes node ID
Query Parameters
Maximum number of drivers to return (default 5, max 50)
Rank by resource (cpu, memory). Default cpu
Was this page helpful?
⌘I
Get kubernetes cluster node load drivers
